/*
 *  XMMS Crossfade Plugin
 *  Copyright (C) 2000-2007  Peter Eisenlohr <peter@eisenlohr.org>
 *
 *  based on the original OSS Output Plugin
 *  Copyright (C) 1998-2000  Peter Alm, Mikael Alm, Olle Hallnas, Thomas Nilsson and 4Front Technologies
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 */

#ifndef _PLAYER_H_
#define _PLAYER_H_

#include "crossfade.h"

gboolean xfplayer_input_playing();

gint   xfplaylist_get_position();
gchar *xfplaylist_get_filename (gint pos);
gchar *xfplaylist_get_songtitle(gint pos);
gint   xfplaylist_current_length();

GList *xfplayer_get_output_list();

GList        *xfplayer_get_effect_list();
EffectPlugin *xfplayer_get_current_effect_plugin();
gboolean      xfplayer_effects_enabled();

gboolean xfplayer_check_realtime_priority();

#endif /* _PLAYER_H_ */
